Latex et ghostscript — Les-mathematiques.net The most powerful custom community solution in the world

Latex et ghostscript

Bonjour,
j'utilise Miktex avec Texnicenter comme éditeur. Tout allait bien jusqu'à ce que je fasse "update" sur la console de Miktex.

J'ai ensuite eu un souci avec le package answers, que j'ai "réglé" en mettant en commentaire \usepackage{answers} (apparemment, je ne l'utilisais pas vraiment). Je peux compiler en pdf, mais pas en ps -> pdf : dans ce cas, j'ai une fenêtre Ghostscript qui s'ouvre. Je mets une capture d'écran pour avoir tout le message d'erreur ; le principal a l'air d'être "Ghostscript 9.55.0 : Unrecoverable error, exit code 1"
J'ai trouvé une discussion avec Google https://tex.stackexchange.com/questions/119280/ghostscript-8-57-unrecoverable-error-exit-code-1 où l'utilisateur a l'air d'avoir le même souci mais je ne comprends pas la solution.

Je précise que je ne mets pas d'ECM car le même fichier sans une figure en pstricks se compile sans problème si je demande directement du pdf (et la figure compilait sans problème avant mon update). Donc j'ai l'impression que c'est Ghostscript qui pose problème.127302

Réponses

  • Je me réponds au cas où ça puisse intéresser quelqu'un. Sans que je comprenne pourquoi, le fait d'avoir changé \usepackage[all,dvips]{xy} en \usepackage[all]{xy} fait que tout remarche...

    Le package xy sert à faire des diagrammes commutatifs et l'option dvips avait l'air de poser problème à Miktex (apparemment, cette option servait à éviter d'autres problèmes selon cette page : http://zoonek2.free.fr/UNIX/11_xypic/index.html)

    Ce changement que je ne comprends pas me posera peut-être problème plus tard, mais l'urgent est réglé.
  • Bonjour,

    Je ne sais pas à quoi est due l'erreur d'origine mais souhaite juste te rassurer sur un point : il y a sans doute plus à gagner qu'à perdre à supprimer l'option 'dvips' comme tu l'as fait. Ceci car de nos jours, la détection du driver est presque toujours automatique (je dis « presque » par précaution, mais ça fait au moins 10 ans que je ne passe plus jamais l'option indiquant le driver utilisé à tel ou tel paquet).
  • Merci pour ces propos rassurants, je dois dire que j'ai toujours la crainte que quelque chose ne marche plus en latex quand je change quelque chose : j'utilise tout ça comme une grosse boîte noire et bien que j'ai fini par comprendre quelques trucs, il y en a encore beaucoup qui me passent au-dessus
Connectez-vous ou Inscrivez-vous pour répondre.
Success message!